# ulisse-parquet-parser.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties

# override(s)
default.environment=debug
default.environment_dtp=test
default.home_folder=/var/local/sophia/${default.environment_dtp}/goal/codifica
big_decimal.scale=20
big_decimal.tolerance=1e-6
log4j.configuration=${default.home_folder}/ulisse-parquet-parser-log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties


# ulisse parquet parser
#ulisse_parquet_parser.locked=false
#ulisse_parquet_parser.heartbeat=100000
ulisse_parquet_parser.bind_port=4448
ulisse_parquet_parser.thread_count=4

ulisse_parquet_parser.sqs.max_messages_per_run=3
ulisse_parquet_parser.sqs.max_polling_duration=4m30s
ulisse_parquet_parser.sqs.sender_name=schema-riparto-ml
ulisse_parquet_parser.sqs.service_bus_queue=${default.environment}_service_bus
ulisse_parquet_parser.sqs.to_process_queue=${default.environment}_to_process_schema_riparto_ml
ulisse_parquet_parser.sqs.started_queue=${default.environment}_started_schema_riparto_ml
ulisse_parquet_parser.sqs.completed_queue=${default.environment}_completed_schema_riparto_ml
ulisse_parquet_parser.sqs.failed_queue=${default.environment}_failed_schema_riparto_ml

ulisse_parquet_parser.sql.select_anglo_american_config=\
	SELECT FILE_PATH AS s3FileUrl \
	  FROM ML_REGOLE_REP_ANGLAM m0 \
	 WHERE m0.VALID_FROM < '{year}-{month}-01' \
	   AND NOT EXISTS ( \
		SELECT * \
		  FROM ML_REGOLE_REP_ANGLAM m1 \
    	 WHERE m1.VALID_FROM > m0.VALID_FROM \
    	   AND m1.VALID_FROM < '{year}-{month}-01')  
ulisse_parquet_parser.sql.select_ex_art_18_config=\
	SELECT FILE_PATH AS s3FileUrl \
	  FROM ML_REGOLE_ESENZIONE_ART18 m0 \
	 WHERE m0.VALID_FROM < '{year}-{month}-01' \
	   AND NOT EXISTS ( \
		SELECT * \
		  FROM ML_REGOLE_ESENZIONE_ART18 m1 \
    	 WHERE m1.VALID_FROM > m0.VALID_FROM \
    	   AND m1.VALID_FROM < '{year}-{month}-01')

#ulisse_parquet_parser.royalty_database.format=com.alkemytech.sophia.goal.royalty.BerkeleyDbRoyaltyDatabase
ulisse_parquet_parser.royalty_database.format=com.alkemytech.sophia.goal.royalty.NoSqlRoyaltyDatabase
ulisse_parquet_parser.royalty_database.local_folder=${default.home_folder}/royalty.nosql
ulisse_parquet_parser.royalty_database.page_size=32Mb
ulisse_parquet_parser.royalty_database.s3_folder_url=s3://siae-sophia-multimediale-locale/${default.environment_dtp}/ROYALTY_SCHEMES/{year}{month}
#ulisse_parquet_parser.royalty_database.upload_to_s3=false
#ulisse_parquet_parser.royalty_database.delete_on_success=false

ulisse_parquet_parser.anglo_american.artist_roles=CO,AO,CA
ulisse_parquet_parser.anglo_american.sub_editor_roles=SE
ulisse_parquet_parser.anglo_american.cross_dem_drm=true
ulisse_parquet_parser.anglo_american.exclude_zero=true
ulisse_parquet_parser.anglo_american.delimiter=;
ulisse_parquet_parser.anglo_american.sub_delimiter=:
ulisse_parquet_parser.anglo_american.skip_rows=1

ulisse_parquet_parser.ex_art_18.delimiter=;
ulisse_parquet_parser.ex_art_18.skip_rows=1

ulisse_parquet_parser.success_filename=_SUCCESS
ulisse_parquet_parser.latest_filename=_LATEST
ulisse_parquet_parser.filter_regex=.*(part.*)\\.snappy\\.parquet
ulisse_parquet_parser.input.s3_folder_url=s3://siae-sophia-datalake/ulisse-tables/schema_riparto_flat_parquet/year={year}/month={month}/country=ITA
ulisse_parquet_parser.output.s3_folder_url=s3://siae-sophia-multimediale-locale/${default.environment_dtp}/SCHEMI_RIPARTO/year={year}/month={month}
ulisse_parquet_parser.output.delimiter=,
ulisse_parquet_parser.output.sub_delimiter=\|

ulisse_parquet_parser.remove_zero_royalties=true
ulisse_parquet_parser.siae_society_name=SIAE
ulisse_parquet_parser.pd_account_codes=10,65,78

ulisse_parquet_parser.column.codice=0
ulisse_parquet_parser.column.vettore_codice_ipi=1
ulisse_parquet_parser.column.vettore_posizione_siae=2
ulisse_parquet_parser.column.vettore_quota_denominatore=3
ulisse_parquet_parser.column.vettore_quota_numeratore=4
ulisse_parquet_parser.column.vettore_id_repertorio=5
ulisse_parquet_parser.column.vettore_tipo_qualifica=6
ulisse_parquet_parser.column.vettore_tipo_quota=7
ulisse_parquet_parser.column.vettore_quota_percentuale=8
ulisse_parquet_parser.column.vettore_cognome=9
ulisse_parquet_parser.column.vettore_codice_conto=10
ulisse_parquet_parser.column.vettore_id_conto=11
ulisse_parquet_parser.column.vettore_shr=12
ulisse_parquet_parser.column.vettore_societa=13
ulisse_parquet_parser.column.vettore_tipo_irregolarita=14
#ulisse_parquet_parser.column.total_drm=15
#ulisse_parquet_parser.column.total_dem=16



